# $Revision: 1.10 $, $Date: 2008/10/25 20:27:26 $
# TODO:
# - check dir
%define		_plugin	check_quota
%define		mversion	1.4.0
Summary:	Check Quota plugin for SquirrelMail
Summary(pl.UTF-8):	Wtyczka do sprawdzania limitów dyskowych
Name:		squirrelmail-plugin-%{_plugin}
Version:	2.2
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{version}-%{mversion}.tar.gz
# Source0-md5:	aa26b781559680ba91e7398c01e2f248
URL:		http://www.squirrelmail.org/plugin_view.php?id=237
Requires:	squirrelmail >= 1.4.6-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_datadir}/squirrelmail/plugins/%{_plugin}
%define		_webapps	/etc/webapps
%define		_sysconfdir	%{_webapps}/squirrelmail

%description
This plugin includes the functionality of two plugins, which are Quota
Usage plugin and Disk Quota plugin.

It can retrieve the current quota usage from the IMAP server using the
IMAP4 QUOTA extension. It displays size-based quotas and/or
message-count quotas, as given by the IMAP server. This function comes
from Quota Usage plugin.

Also it can retrieve the current quota usage from UNIX quota command
for UNIX-quota based systems. It displays size-based quotas and/or
file-count quotas, as retreived from the quota command. This function
comes from Disk Quota plugin.

%description -l pl.UTF-8
Wtyczka łączy funkcjonalność dwóch innych wtyczek - Quota Usage i Disk
Quota.

Można pobrać z serwera IMAP aktualne użycie przestrzeni dyskowej przy
użyciu rozszerzenia IMAP4 QUOTA. Wyświetla limity oparte o rozmiar
i/lub liczbę wiadomości zgodnie z tym, co podał serwer IMAP. Ta
funkcja pochodzi z wtyczki Quota Usage.

Można także pobrać aktualne użycie przestrzeni dyskowej z uniksowego
polecenia quota. Wyświelta limity oparte o rozmiar i/lub liczbę plików
zgodnie z tym co podało polecenie quota. Ta funkcja pochodzi z wtyczki
Disk Quota.

%prep
%setup -q -n %{_plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir} $RPM_BUILD_ROOT%{_sysconfdir}

install *.php $RPM_BUILD_ROOT%{_plugindir}
cp -r images swf templates themes $RPM_BUILD_ROOT%{_plugindir}
mv config.sample.php $RPM_BUILD_ROOT%{_sysconfdir}/check_quota_config.php
ln -s %{_sysconfdir}/check_quota_config.php $RPM_BUILD_ROOT%{_plugindir}/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README FAQ TRANSLATING CHANGELOG
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_quota_config.php
%dir %{_plugindir}
%{_plugindir}/*.php
%{_plugindir}/swf
%{_plugindir}/images
%{_plugindir}/templates
%{_plugindir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-check_quota.spec,v $
Revision 1.10  2008/10/25 20:27:26  kosmo
- updated to 2.2

Revision 1.9  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.7  2006/07/19 20:24:58  dzeus
- propper homepage URL

Revision 1.6  2006/04/25 18:27:57  glen
- use _webapps macro to have unified specs

Revision 1.5  2006/04/25 13:15:15  hawk
- keep config in /etc/webapps/squirrelmail, symlink it in plugin dir
- bumped R: squirrelmail to 1.4.6-1 to be sure it has R: webapps
- release 1

Revision 1.4  2005/04/24 22:02:51  matowy
- BuildArch noarch

Revision 1.3  2005/04/24 21:58:40  matowy
- up to 1.4
- proprer plugindir

Revision 1.2  2005/02/24 19:20:09  qboosh
- real pl desc

Revision 1.1  2005/02/24 12:14:31  undefine
- initial
